%define version    4.2
%define release    20161128
%define rhel_version 7

Name:           redhat-certification-openstack
Version:        %{version} 
Release:        %{release}.el%{rhel_version}
Summary:        Client-side tests for OpenStack Certification Programme

Group:          Applications/System
License:        GPLv2
URL:            http://www.redhat.com/
Source0:        %{name}-%{version}-%{release}.tar.bz2
BuildRoot:      %{_tmppath}/%{name}-%{version}-root
BuildArch:      noarch
BuildRequires:  python-devel, python-setuptools
Requires:       redhat-certification-backend >= %{version}
Requires:       python-jsonschema
Requires:       python-glanceclient
Requires:       python-novaclient
Requires:       python-neutronclient
Requires:       python-keystoneclient
Requires:       python-cinderclient
Requires:       python-subunit
Requires:       redhat-certification-commons

%description
Client-side tests for OpenStack Certification Programme

%prep
%setup -q -c

%build
[ "$RPM_BUILD_ROOT" != "/" ] && [ -d $RPM_BUILD_ROOT ] && rm -rf $RPM_BUILD_ROOT;
DESTDIR=$RPM_BUILD_ROOT make RHCERT_RHEL_VERSION=%{rhel_version}


%install
rm -rf $RPM_BUILD_ROOT
DESTDIR=$RPM_BUILD_ROOT make RHCERT_RHEL_VERSION=%{rhel_version} install


%clean
[ "$RPM_BUILD_ROOT" != "/" ] && [ -d $RPM_BUILD_ROOT ] && rm -rf $RPM_BUILD_ROOT;

%files
%defattr(-,root,root,-)
%{python_sitelib}/rhcert/suites/openstack_cert

%changelog
* Mon Nov 28 2016 Greg Nichols <gnichols@redhat.com>
- fix build

* Mon Nov 28 2016 Anshul Behl <abehl@redhat.com>
- CERTPX-523 - Manila run has some other tests in it

* Fri Nov 25 2016 Anshul Behl <abehl@redhat.com>
- Collect director test_logs
- CERTPX-509 APIs are not listinig for manila on RHOSP10

* Fri Nov 25 2016 Pooja Tiwari <ptiwari@redhat.com>
- CERTPX-519 Fixed attribute error in director test.

* Wed Nov 23 2016 Anshul Behl <abehl@redhat.com>
- CERTPX-499 Tests can't be seen on RHCERTUI - Namespace issue with existing openstack folder - Changes name from openstack to openstack_cert Change-Id: I51817ff3d32f84cbcb57fe50d99e03776b140ed5

* Wed Nov 23 2016 Anshul Behl <abehl@redhat.com>
- CERTPX-496 Add tempest.conf.sample to source

* Wed Nov 23 2016 Pooja Tiwari <ptiwari@redhat.com>
- CERTPX-490 validation_report.json fixes
- CERTPX-493 Unsupported API tests should fail with Error message.
  - Handled scenario if no test found for the plugin.
  - Handled scenario if no test found for the api.
  - Handled scenario if un-supported api is selected.
  - Added 'backups' in volume api list.
  - Replaced 'Reason' with 'Error' prefix.

* Tue Nov 22 2016 Greg Nichols <gnichols@redhat.com>
- CERTPX-496 Fix RHOS8 tempest generation      - Neutron Code Refactoring
- CERTPX-492 openstack/manila: automatic api selection should observe maximum microversion
- CERTPX-490 Add validation_report.json for review purposes
- CERTPX-478 Director dependency resolved

* Tue Nov 22 2016 Anshul Behl <abehl@redhat.com>
- CERTPX-496 Fix RHOS8 tempest generation
- Neutron Code Refactoring

* Mon Nov 21 2016 Anshul Behl <abehl@redhat.com>
- CERTPX-414 Clear any existing logs in .testrepository directory

* Thu Nov 17 2016 ptiwari@redhat.com 4.2-20161117
- Display reason of failure for failed tests. (CERTPX-483)

* Wed Nov 16 2016 abehl@redhat.com 4.2-20161116
- Create value update around cinder (CERTPX-449)
- redhat-certification-openstack 4.2 should %Require redhat-certification-backend-4.2. (CERTPX-390)
- Add 'system report' test in openstack/supportable. (CERTPX-438)
- Openstack/supportable InstalledRPMs subtest should REVIEW, not FAIL if microservice is
  unreacheable. (CERTPX-468)
- Neutron_supportable test runs but attachment can not be seen on RHCERT UI. (CERTPX-456)

* Tue Nov 15 2016 pkshiras@redhat.com 4.2-20161115
- Renamed following openstack tests:
 'openstack/openstack_director_verify' to 'openstack/director' (CERTPX-440)
 'cinder/cinder_verify' to 'openstack/cinder' (CERTPX-442)
 'neutron/neutron_verify' to 'openstack/neutron' (CERTPX-443)
 'sahara/sahara_verify' to 'openstack/sahara' (CERTPX-444 )
 'manila/manila_verify' to 'openstack/manila' (CERTPX-445)

* Tue Nov 15 2016 ptiwari@redhat.com 4.2-20161115
- Defined common 'openstack/supportable'
  test for all components (CERTPX-439)

* Fri Oct 28 2016 abehl@redhat.com 4.1-20161028
- Fixed manila tempest issue (CERTPX-385)
- Added policy and new tests (CERTPX-379)
- testrepository issue fix (CERTPX-397)
- backend_capabilities issues fixed (CERTPX-378)

* Mon Oct 17 2016 abehl@redhat.com 4.1-20161017
- Skipped tests as fail (CERTPX-355)
- Remove scap and oval tests
- Added subunit dependency (CERTPX-362)
- Openstack version issue resolution (CERTPX-357)
- Seperating component tests
- Added RHOS10 policy changes
- Added Manila Certification

* Thu Oct 13 2016 abehl@redhat.com 4.1-20161013
- Removing python-tempest-lib as a install dependency
- Changing tempest config generation for RHOS9 and RHOS10
- Supporting tempest tests for different OS versions
- Removing test dependency from test_config.json
- Adding partial support for openstack value update

* Thu Oct 06 2016 abehl@redhat.com 4.1-20161006
- Version based checks in neutron verify
- Fixing cinder and sahara for RHOS10
- Planning test of all components

* Thu Sep 29 2016 abehl@redhat.com 4.0-20160929
- Making cinder,neutron,sahara as interactive
- Separating cinder,neutron,sahara tempest tests
- Making sahara, cinder and neutron tests independent

* Tue Aug 16 2016 abehl@redhat.com 1.5.2-1
- Integration of VPNAAS tests
- Adding VPNAAS TEST RPM as a dependency for RHOS8

* Thu Aug 04 2016 abehl@redhat.com 1.5.1-1
- openstack_verify test passes when tempest fails, gives no feedback when test is run (CERTPX-67)

* Mon Jul 04 2016 abehl@redhat.com 1.5.0-1
- Support RHOS9 release
- Copy whole lbaas folder instead of tests
- Version check support for openstack

* Mon Jul 04 2016 pgadiya@redhat.com 1.4.4-1
- Added support for new tempest tests

* Mon Jun 20 2016 abehl@redhat.com 1.4.3-1
- Adding new apis to verify.py

* Mon Jun 20 2016 abehl@redhat.com 1.4.2-1
- Api's listing missing for lbaas v2 in test_config.json.sample file (RHELOSPCER-310)

* Thu Jun 16 2016 abehl@redhat.com 1.4.1-1
- invalid json file test_config.json.sample (RHELOSPCER-302)
- Error while listing Neutron tests (RHELOSPCER-307)

* Mon Jun 13 2016 abehl@redhat.com 1.4.0-1
- Adding lbaas test probing
- Fixed RHELOSPCER-292 Unnecessary error message displayed
- Handling tempest rpm not found error properly

* Thu Jun 02 2016 abehl@redhat.com 1.3.4-1
- Adding redhat-certification-commons and python-tempest-lib as dependency

* Mon Mar 21 2016 rkanade@redhat.com 1.3.3-1
- Fix wrongly access key for "keystone_region_name"

* Mon Mar 21 2016 rkanade@redhat.com 1.3.2-1
- Adds configurable "keystone_region_name"

* Thu Mar 10 2016 rkanade@redhat.com 1.3.1-1
- Fixes RHOS-Director import issues
- Fix test_config jsonschema properties
- Adds missing sample API list for test config

* Tue Mar 08 2016 abehl@redhat.com 1.3.0-1
- Director Tests Integration and rally tests seperation

* Mon Feb 22 2016 abehl@redhat.com 1.2.0-1
- Implement OpenScap checks

* Mon Feb 08 2016 rkanade@redhat.com 1.1.3-1
- Add generic "openstack-tempest" dependency

* Mon Feb 08 2016 rkanade@redhat.com 1.1.2-1
- Remove openstack-rally install dependency

* Fri Dec 18 2015 rkanade@redhat.com 1.1.1-1
- Remove nova-network scenarios from neutron rally task

* Thu Dec 10 2015 rkanade@redhat.com 1.1.0-1
- Fix Neutron test invocation
- Separate Rally component tasks

* Tue Dec 01 2015 rkanade@redhat.com 1.0.9-1
- Improve Rally task sample

* Thu Nov 05 2015 rkanade@redhat.com 1.0.8-1
- Integrate openstack-rally

* Tue Oct 06 2015 rkanade@redhat.com 1.0.7-1
- Release 1.0.7

* Mon Sep 28 2015 rkanade@redhat.com 1.0.6-1
- Integrate tests from "python-neutron-tests"

* Wed Jun 17 2015 rkanade@redhat.com 1.0.5-1
- Fix tempest.conf generation for sahara service name (1232735)
- Fix failing over to interactive mode if credentials in config file are incorrect (1233077)

* Tue Jun 16 2015 rkanade@redhat.com 1.0.4-1
- Release 1.0.4

* Tue Jun 16 2015 rkanade@redhat.com 1.0.3-2
- Fixes string format issue (1232227)
- Fixes Regex created for scenario test and api test for checks other than cinder an networking (1232228)

* Wed Jun 10 2015 rkanade@redhat.com 1.0.3-1
- Fixes Exception when choosing not to edit tempest.conf when using CLI workflow (1230085)

* Mon Jun 08 2015 rkanade@redhat.com 1.0.2-1
- Fixes tempest rpm not found issue (1225055)
- Enable Keysytone, Glance, Trove testing
- Ability to provide non-interactive input (1225475)
- Require openstack-tempest-kilo (1225055)
- Dont set public_router_id in tempest.conf (1225897)
- Implement OpenStack Platform test (1205741)


* Thu Apr 23 2015 rkanade@redhat.com 1.0.1-2
- Revert to prompt API from multiSelect

* Mon Apr 06 2015 rkanade@redhat.com 1.0.1-1
- Adds OpenStack Apps verification test (1205741)
- Store tempest.conf and tempest tests on SUT (1208030)
- Adds multiSelect support for selecting APIs (1208522)
- Improve sample tempest.conf auto-generation for Sahara (1208054)

* Fri Jan 30 2015 rkanade@redhat.com 1.0.0-1
- Fix README

* Thu Jan 08 2015 rkanade@redhat.com 0.2.0.20150108.beta-1
- Fix spec file for errata advisory

* Wed Jan 07 2015 rkanade@redhat.com 0.2.0.20150107.beta-1
- Fix bug in exit status check

* Tue Jan 06 2015 rkanade@redhat.com 0.2.0.20150106.beta-4
- Use built-in status message API

* Tue Jan 06 2015 rkanade@redhat.com 0.2.0.20150106.beta-3
- Fix issues related to exit

* Tue Jan 06 2015 rkanade@redhat.com 0.2.0.20150106.beta-2
- Handle exit appropriately on failures

* Tue Jan 06 2015 rkanade@redhat.com 0.2.0.20150106.beta-1
- Emit appropriate error msg in case of failures

* Wed Dec 24 2014 rkanade@redhat.com 0.2.0.20141224.beta-1
- Revert to use answers param for single select prompt

* Tue Dec 23 2014 rkanade@redhat.com 0.2.0.20141223.beta-1
- Tag test as interactive
- Use prompts correctly for multi select

* Fri Dec 19 2014 rkanade@redhat.com 0.2.0.20141219.beta-1
- Enable multiline edit via promptEdit

* Tue Dec 16 2014 rkanade@redhat.com 0.1.9.20141216.beta-1
- Fix swift service not enabled in tempest.conf

* Mon Dec 15 2014 rkanade@redhat.com 0.1.8.20141215.beta-1
- Beta-1 Release

* Mon Dec 15 2014 rkanade@redhat.com 0.1.8-1
- Fix whitespace issue in api list
- Fix duplicate item issue in api list

* Tue Dec 09 2014 rkanade@redhat.com 0.1.7-1
- Allow partner to specify supported api list

* Mon Dec 01 2014 rkanade@redhat.com 0.1.6-1
- Allow use of virtualenv to run tempest

* Mon Nov 17 2014 rkanade@redhat.com 0.1.5-1
- Add fallback cmd for sos if profiles feature doesnt exist
- Allow user to edit auto generated tempest.conf
- Allow component (Neutron, swift, cinder) specific tests

* Thu Oct 09 2014 rkanade@redhat.com 0.1.4-1
- Fix rhcert-client name change to redhat-certification
- Switch to using sos profiles instead of plugins

* Mon Sep 29 2014 rkanade@redhat.com 0.1.3-1
- Fix rhcert-client import issue
- Allow user specified tempest.conf
- Run tempest tests serially

* Thu Sep 04 2014 Rohan Kanade <rkanade@redhat.com> 0.1.2
- Fix verion issues

* Wed Sep 03 2014 Rohan Kanade <rkanade@redhat.com> 0.1.1
- Fix wrong directory path for sample tempest config file
- Fix wrong directory path for sosreport output

* Wed Aug 20 2014 Rohan Kanade <rkanade@redhat.com> 0.1
- Initial release.
